Package: groovy.org.codenarc.rule.dry

## [Groovy] Class DuplicateStringLiteralRule

- groovy.org.codenarc.rule.dry.DuplicateStringLiteralRule

- Code containing duplicate String literals can usually be improved by declaring the String as a constant field.

  Set the optional `ignoreStrings` property to a comma-separated list (String) of the strings that should be ignored by this rule (i.e., not cause a violation). This property defaults to "" to ignore empty strings. By default, this rule does not apply to test files.
  Authors:
    Hamlet D'Arcy
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `doNotApplyToFilesMatching`
    `String` | `ignoreStrings`
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `AstVisitor` | `getAstVisitor()`

- - ### Property Detail

    - #### String doNotApplyToFilesMatching

    - #### String ignoreStrings

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override AstVisitor getAstVisitor()